summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--games-arcade/bloboats/ChangeLog3
-rw-r--r--games-arcade/bloboats/Manifest16
-rw-r--r--games-arcade/bloboats/bloboats-1.0.1.ebuild11
3 files changed, 18 insertions, 12 deletions
diff --git a/games-arcade/bloboats/ChangeLog b/games-arcade/bloboats/ChangeLog
index 46958dc21..6bcc38fb0 100644
--- a/games-arcade/bloboats/ChangeLog
+++ b/games-arcade/bloboats/ChangeLog
@@ -2,6 +2,9 @@
# Copyright 1999-2006 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+ 13 Aug 2006; Josu López Fernández <zamorate@zamorate.net> ChangeLog:
+ Added ~amd64 keyword. Added missing dep. Respect CXX and CXXFLAGS
+
13 Aug 2006; Santiago M. Mola <cooldwind@gmail.com>
+bloboats-1.0.1.ebuild, +metadata.xml:
New ebuild for bug #143733, thanks to Stefan Schweizer <genstef@gentoo.org>
diff --git a/games-arcade/bloboats/Manifest b/games-arcade/bloboats/Manifest
index 134c53004..3bada978c 100644
--- a/games-arcade/bloboats/Manifest
+++ b/games-arcade/bloboats/Manifest
@@ -1,12 +1,12 @@
DIST bloboats-1.0.1.tar.gz 7603140 RMD160 0a64d658e187393dbf001242b43af00c6f018720 SHA1 c53646090dee7420f624760a1f645d2a5c5f02ea SHA256 bbaf9b4774e42c1ec1b2473fca7e957c0b2b61448be4ba5e5023863e14d92242
-EBUILD bloboats-1.0.1.ebuild 870 RMD160 06649ad15703153311e30954677e6ce3ced9f466 SHA1 81712dfd7b8eca8353883c919994bbfb86c65d8d SHA256 c56396be9b975c5d0b352a04be3100a281666ea35ca98057cd1994e391fdd8b7
-MD5 1c04e8a28e916ab6b96beb8d34d18c38 bloboats-1.0.1.ebuild 870
-RMD160 06649ad15703153311e30954677e6ce3ced9f466 bloboats-1.0.1.ebuild 870
-SHA256 c56396be9b975c5d0b352a04be3100a281666ea35ca98057cd1994e391fdd8b7 bloboats-1.0.1.ebuild 870
-MISC ChangeLog 296 RMD160 d0061e73e2d933d96cfea1d949dbbf0440d399f5 SHA1 50c921e164232f9f297f9fd53b8ab2f39a3dc075 SHA256 05e8527fd0b3b2534034795656701f9c5d1c80c434a351ec1012477c2ec5a105
-MD5 b792df866463b63222eed8868440de58 ChangeLog 296
-RMD160 d0061e73e2d933d96cfea1d949dbbf0440d399f5 ChangeLog 296
-SHA256 05e8527fd0b3b2534034795656701f9c5d1c80c434a351ec1012477c2ec5a105 ChangeLog 296
+EBUILD bloboats-1.0.1.ebuild 1001 RMD160 dcb839fb74ac897599a7767c2525eb8085175497 SHA1 89040570325c9fcc352de186669d95950a55a418 SHA256 bf10f6327fdc928183b12b2305d555468d14b2713b0fe8aae4decf7d6a547a47
+MD5 7497b4822e766a6baceffcdcb0fd0444 bloboats-1.0.1.ebuild 1001
+RMD160 dcb839fb74ac897599a7767c2525eb8085175497 bloboats-1.0.1.ebuild 1001
+SHA256 bf10f6327fdc928183b12b2305d555468d14b2713b0fe8aae4decf7d6a547a47 bloboats-1.0.1.ebuild 1001
+MISC ChangeLog 438 RMD160 0df7ac74b0111f141d6268142cfbce592d444a59 SHA1 968e4587a7bb270fdf67415d11ad404008c3f188 SHA256 d128744700aeb4fd7f40c319be085f6ec8391d097046ea0577bac45507b9bb1c
+MD5 2359918ef1c35d13f5f1889c8b95169f ChangeLog 438
+RMD160 0df7ac74b0111f141d6268142cfbce592d444a59 ChangeLog 438
+SHA256 d128744700aeb4fd7f40c319be085f6ec8391d097046ea0577bac45507b9bb1c ChangeLog 438
MISC metadata.xml 170 RMD160 645927a396fdc21cdeb089fe42c5397332420ea6 SHA1 ac7f48a14fec325926f9ce1be8fbf1f311b4f2e4 SHA256 d797a2ec6f9dc516c9f9c1a758ee87ad3e8c43101b5dc76c2f872d5bd4639b42
MD5 1e678929a9fec6632e227bdf2262e9a1 metadata.xml 170
RMD160 645927a396fdc21cdeb089fe42c5397332420ea6 metadata.xml 170
diff --git a/games-arcade/bloboats/bloboats-1.0.1.ebuild b/games-arcade/bloboats/bloboats-1.0.1.ebuild
index c4ad08f01..8983600df 100644
--- a/games-arcade/bloboats/bloboats-1.0.1.ebuild
+++ b/games-arcade/bloboats/bloboats-1.0.1.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
# $Header: $
-inherit games
+inherit games toolchain-funcs
DESCRIPTION="arcade-like boat racing game combining platform jumpers and elastomania / x-moto like games"
HOMEPAGE="http://bloboats.dy.fi/"
@@ -10,12 +10,13 @@ SRC_URI="http://mirror.kapsi.fi/bloboats.dy.fi/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
-KEYWORDS="~x86"
+KEYWORDS="~amd64 ~x86"
IUSE=""
DEPEND="media-libs/libsdl
media-libs/sdl-mixer
media-libs/sdl-image
+ media-libs/sdl-net
media-libs/libvorbis"
RDEPEND="${DEPEND}"
@@ -26,8 +27,10 @@ src_unpack(){
-e "/PREFIX/s://:${D}:" \
-e "/DATADIR/s:/usr/games/bloboats/data:${GAMES_DATADIR}:" \
-e "/BINARYDIR/s:/usr/bin:${GAMES_BINDIR}:" \
- -e "/CONFIGDIR/s:/etc:${GAMES_SYSCONFDIR}:" Makefile \
- || die "sed Makefile failed"
+ -e "/CONFIGDIR/s:/etc:${GAMES_SYSCONFDIR}:" \
+ -e "/CXXFLAGS_DEFAULT/s:-O2:${CXXFLAGS}:" \
+ -e "/CXX_DEFAULT/s:g++:$(tc-getCXX):" \
+ Makefile || die "sed Makefile failed"
}
src_install(){